## dbus 1.12.2

=== debian/changelog ===
dbus (1.12.2-1ubuntu1) bionic; urgency=medium

  * Sync with Debian. Remaining changes:
    - Clean up /etc/init/dbus.conf on upgrades. This needs to be kept until
      after 18.04 LTS.
    - Add dont-stop-dbus.patch: Don't stop D-Bus in the service unit
      (see patch header and upstream bug for details). Fixes various
      causes of shutdown hangs, particularly with remote file systems.
      (LP: #1438612) (LP: #1540282)
    - debian/dbus.postinst, debian/rules: Don't start D-Bus on package
      installation, as that doesn't work any more with dont-stop-dbus.patch.
      Instead, start dbus.socket in postinst, which will then start D-Bus
      on demand after package installation.
    - Add aa-get-connection-apparmor-security-context.patch: This is not
      intended for upstream inclusion. It implements a bus method
      (GetConnectionAppArmorSecurityContext) to get a connection's AppArmor
      security context but upstream D-Bus has recently added a generic way of
      getting a connection's security credentials (GetConnectionCredentials).
      Ubuntu should carry this patch until packages in the archive are moved
      over to the new, generic method of getting a connection's credentials.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 15 Nov 2017 17:22:22 -0500

dbus (1.12.2-1) unstable; urgency=low

  * New upstream release 1.12.2
  * Remove unused Lintian override now that #736360 has been fixed
  * d/p/debian/Don-t-abort-on-fatal-warnings-by-default.patch:
    Remove patch. This was committed not long after the addition of the
    fatal-by-default _dbus_warn_check_failed() checks for programming
    errors, with the changelog message "This will be set to upstream
    default again at some point so if you have an application that
    prints a DBus warning get it fixed".

    The patch made Debian and its derivatives a little more robust
    against implementation errors in projects that use libdbus, but at
    the cost that upstream developers of those projects don't notice
    implementation errors (that would be crashes on most OSs) if they
    happen to be developing on Debian or Ubuntu. 11 years later, let's
    consider "some point" to have arrived.
  * Set migration urgency to low in case that breaks things.

 -- Simon McVittie <smcv@debian.org>  Mon, 13 Nov 2017 15:36:08 +0000

dbus (1.12.0-1ubuntu1) bionic; urgency=medium

  * Sync with Debian. Remaining changes:
    - Clean up /etc/init/dbus.conf on upgrades. This needs to be kept until
      after 18.04 LTS.
    - Add dont-stop-dbus.patch: Don't stop D-Bus in the service unit
      (see patch header and upstream bug for details). Fixes various
      causes of shutdown hangs, particularly with remote file systems.
      (LP: #1438612) (LP: #1540282)
    - debian/dbus.postinst, debian/rules: Don't start D-Bus on package
      installation, as that doesn't work any more with dont-stop-dbus.patch.
      Instead, start dbus.socket in postinst, which will then start D-Bus
      on demand after package installation.
    - Add aa-get-connection-apparmor-security-context.patch: This is not
      intended for upstream inclusion. It implements a bus method
      (GetConnectionAppArmorSecurityContext) to get a connection's AppArmor
      security context but upstream D-Bus has recently added a generic way of
      getting a connection's security credentials (GetConnectionCredentials).
      Ubuntu should carry this patch until packages in the archive are moved
      over to the new, generic method of getting a connection's credentials.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 30 Oct 2017 19:25:39 -0400

dbus (1.12.0-1) unstable; urgency=medium

  * New upstream stable release 1.12.0
    - d/watch: Only watch for stable releases again
    - d/gbp.conf: Use upstream/1.12.x branch
  * Set Rules-Requires-Root to no. This package does not require
    fakeroot or root privileges to build with a sufficiently recent
    debhelper and dpkg-dev.
  * Replace deprecated dh_install --fail-missing with
    dh_missing --fail-missing
  * Replace deprecated dh_installinit --no-restart-on-upgrade with
    --no-stop-on-upgrade

 -- Simon McVittie <smcv@debian.org>  Mon, 30 Oct 2017 13:37:25 +0000

dbus (1.11.22-1) unstable; urgency=medium

  * New upstream release 1.11.22 (1.12.0rc1)
  * Standards-Version: 4.1.1
    - Set messagebus's home directory to /nonexistent for new installs
    - Move tests and udebs from priority extra to optional
  * Make dbus-x11 provide default-dbus-session-bus on non-Linux ports
    (Closes: #878878)
  * Change dbus-user-session from Architecture: all to linux-any so it
    doesn't appear to provide default-dbus-session-bus on non-Linux ports
    (where it is uninstallable)

 -- Simon McVittie <smcv@debian.org>  Mon, 23 Oct 2017 13:21:29 +0100

dbus (1.11.20-1) unstable; urgency=medium

  * New upstream release
    - Tolerate slower buildds, and provide better diagnostics on timeout
      (hopefully Closes: #873820)
  * Merge development branch of dbus from experimental to unstable
    - Debian derivatives should not merge this version unless they can
      commit to updating all the way to the 1.12.x stable releases
      (expected later this year). If you get on the development-branch
      train, please ride it all the way to the next station.

 -- Simon McVittie <smcv@debian.org>  Tue, 03 Oct 2017 08:30:21 +0100

dbus (1.11.18-1) experimental; urgency=medium

  * New upstream release
    - Stop using horrible version numbers
    - Drop patches that came from upstream
  * Fix contents of .install files for the rename of stage1 to
    pkg.dbus.minimal (Closes: #870756)
  * Ignore build-time test failures on !linux for now
  * Mark dbus-1-doc as Multi-Arch: foreign

 -- Simon McVittie <smcv@debian.org>  Mon, 25 Sep 2017 22:25:52 +0100

dbus (1.11.16+really1.11.16-2) experimental; urgency=medium

  * Add patches from upstream to respect $HOME when doing

