=== debian/control ===
--- 
+++ 
@@ -12,13 +12,14 @@
 Build-Depends:
  autoconf-archive (>= 20150224),
  automake,
- debhelper (>= 10.3~),
+ debhelper (>= 11.1~),
  dh-exec,
  libapparmor-dev [linux-any] <!pkg.dbus.minimal>,
  libaudit-dev [linux-any] <!pkg.dbus.minimal>,
  libcap-ng-dev [linux-any] <!pkg.dbus.minimal>,
  libexpat-dev,
  libglib2.0-dev <!pkg.dbus.minimal>,
+ libnss-wrapper <!nocheck>,
  libselinux1-dev [linux-any] <!pkg.dbus.minimal>,
  libsystemd-dev [linux-any] <!pkg.dbus.minimal>,
  libx11-dev <!pkg.dbus.minimal>,
@@ -29,10 +30,12 @@
  xmlto <!nodoc !pkg.dbus.minimal>,
 Build-Depends-Indep:
  doxygen <!nodoc>,
+ ducktype <!nodoc>,
  xsltproc <!nodoc>,
-Standards-Version: 4.1.1
-Vcs-Git: https://anonscm.debian.org/git/pkg-utopia/dbus.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-utopia/dbus.git
+ yelp-tools <!nodoc>,
+Standards-Version: 4.1.5
+Vcs-Git: https://salsa.debian.org/utopia-team/dbus.git
+Vcs-Browser: https://salsa.debian.org/utopia-team/dbus
 Homepage: http://dbus.freedesktop.org/
 Rules-Requires-Root: no
