=== debian/rules ===
--- 
+++ 
@@ -42,6 +42,8 @@
 		--enable-selinux \
 		--enable-systemd \
 		--with-systemdsystemunitdir=/lib/systemd/system \
+		--with-session-socket-dir=/tmp \
+		--with-test-socket-dir=/tmp \
 		SYSTEMCTL=/bin/systemctl \
 		$(NULL)
 normal_configure_flags += \
@@ -266,5 +268,3 @@
 	dh_installdocs --all AUTHORS NEWS README
 
 override_dh_strip:
-	dh_strip --dbgsym-migration='dbus-1-dbg (<< 1.11.10-2~)'
-
