=== debian/tests/control ===
--- 
+++ 
@@ -10,4 +10,9 @@
 Depends: dbus, dbus-tests
 
 Tests: build
+Restrictions: superficial
 Depends: libdbus-1-dev, dbus, build-essential
+
+Tests: system-bus
+Restrictions: isolation-machine, needs-reboot, needs-root
+Depends: dbus, init
