## dbus 1.12.14

=== debian/changelog ===
dbus (1.12.14-1ubuntu2) eoan; urgency=medium

  * SECURITY UPDATE: DBUS_COOKIE_SHA1 implementation flaw
    - d/p/0001-auth-Reject-DBUS_COOKIE_SHA1-for-users-other-than-th.patch:
      reject DBUS_COOKIE_SHA1 for users other than the server owner in
      dbus/dbus-auth.c.
    - d/p/0002-test-Add-basic-test-coverage-for-DBUS_COOKIE_SHA1.patch:
      add basic test coverage for DBUS_COOKIE_SHA1 in
      dbus/dbus-auth-script.c, dbus/dbus-sysdeps-util-unix.c,
      dbus/dbus-sysdeps-util-win.c, dbus/dbus-sysdeps.h, test/Makefile.am,
      test/data/auth/cookie-sha1-username.auth-script,
      test/data/auth/cookie-sha1.auth-script.
    - CVE-2019-12749

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 11 Jun 2019 13:04:53 -0400

dbus (1.12.14-1ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add dont-stop-dbus.patch: Don't stop D-Bus in the service unit.
    - debian/dbus.postinst, debian/rules: Don't start D-Bus on package
      installation, as that doesn't work any more with dont-stop-dbus.patch.
      Instead, start dbus.socket in postinst, which will then start D-Bus
      on demand after package installation.
    - Add aa-get-connection-apparmor-security-context.patch: This is not
      intended for upstream inclusion. It implements a bus method
      (GetConnectionAppArmorSecurityContext) to get a connection's AppArmor
      security context but upstream D-Bus has recently added a generic way of
      getting a connection's security credentials (GetConnectionCredentials).
      Ubuntu should carry this patch until packages in the archive are moved
      over to the new, generic method of getting a connection's credentials.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 May 2019 16:41:21 -0700

dbus (1.12.14-1) unstable; urgency=medium

  * New upstream release
    - Improve fd limit handling so that system services launched by
      traditional activation get the intended limit (Closes: #928877)
  * d/rules, d/tests: Run automated tests with DBUS_TEST_MALLOC_FAILURES=0.
    Testing the code paths for memory allocation failures is too slow
    to do routinely as a downstream.
  * d/tests/system-bus: Add a smoke-test for traditional activation,
    and a smoke-test for systemd activation on systems booted with systemd.

 -- Simon McVittie <smcv@debian.org>  Sat, 18 May 2019 17:37:08 +0100
