=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
  ducktype <!nodoc>,
  xsltproc <!nodoc>,
  yelp-tools <!nodoc>,
-Standards-Version: 4.1.5
+Standards-Version: 4.2.1
 Vcs-Git: https://salsa.debian.org/utopia-team/dbus.git
 Vcs-Browser: https://salsa.debian.org/utopia-team/dbus
 Homepage: http://dbus.freedesktop.org/
@@ -42,9 +42,11 @@
 Package: dbus
 Architecture: any
 Priority: standard
+Provides:
+ dbus-bin (= ${binary:Version}),
+ dbus-system-bus (= ${binary:Version}),
 Depends:
  adduser,
- lsb-base,
  ${misc:Depends},
  ${shlibs:Depends},
 Suggests:
