=== debian/rules ===
--- 
+++ 
@@ -161,6 +161,7 @@
 	-u DISPLAY \
 	HOME=$(CURDIR)/debian/tmp-home \
 	DBUS_TEST_HOMEDIR=$(CURDIR)/debian/tmp-home \
+	DBUS_TEST_MALLOC_FAILURES=0 \
 	LD_PRELOAD=libnss_wrapper.so \
 	NSS_WRAPPER_HOSTS=$(CURDIR)/debian/hosts \
 	$(NULL)
@@ -267,4 +268,3 @@
 override_dh_installdocs:
 	dh_installdocs --all AUTHORS NEWS README
 
-override_dh_strip:
